- generic [active] [ref=e1]:
  - checkbox "Toggle sidebar ⌘B" [checked=mixed] [ref=e2]
  - navigation [ref=e3]:
    - list [ref=e4]:
      - generic "Toggle sidebar ⌘B" [ref=e5]
      - listitem [ref=e6]:
        - link "Roomfit v2 — Spec Map" [ref=e7] [cursor=pointer]:
          - /url: ./
    - generic [ref=e8]:
      - searchbox "Search" [ref=e9]
      - text: ⌘K
    - list [ref=e11]:
      - listitem [ref=e12]:
        - link "개요" [ref=e13] [cursor=pointer]:
          - /url: ./
      - listitem [ref=e14]:
        - link "화면" [ref=e15] [cursor=pointer]:
          - /url: ./screens
      - listitem [ref=e16]:
        - link "Use case" [ref=e17] [cursor=pointer]:
          - /url: ./use-cases
      - listitem [ref=e18]:
        - link "시나리오" [ref=e19] [cursor=pointer]:
          - /url: ./scenarios
      - listitem [ref=e20]:
        - link "데이터 흐름" [ref=e21] [cursor=pointer]:
          - /url: ./data-flow
  - generic [ref=e22]:
    - banner [ref=e23]: Roomfit v2 Spec — 자동 추출 + 수동 보강
    - complementary [ref=e24]:
      - navigation [ref=e25]:
        - generic [ref=e26]: Contents
        - list [ref=e27]:
          - listitem [ref=e28]:
            - link "화면별 의존성" [ref=e29] [cursor=pointer]:
              - /url: "#-1"
          - listitem [ref=e30]:
            - link "화면 → provider → use case 그래프" [ref=e31] [cursor=pointer]:
              - /url: "#provider-use-case"
    - main [ref=e33]:
      - heading "화면" [level=1] [ref=e34]:
        - link "화면" [ref=e35] [cursor=pointer]:
          - /url: "#"
      - paragraph [ref=e36]: 폰에서 보고 있는 화면 ↔ 코드 클래스 매칭. 각 행 클릭하면 의존 provider / component / 시나리오까지.
      - generic [ref=e37]:
        - generic [ref=e38]:
          - generic [ref=e39]: App
          - generic [ref=e40]:
            - generic [ref=e41]:
              - radio "all" [checked] [ref=e42]
              - text: all
            - generic [ref=e43]:
              - radio "b2c" [ref=e44]
              - text: b2c
            - generic [ref=e45]:
              - radio "b2b" [ref=e46]
              - text: b2b
        - generic [ref=e47]:
          - generic [ref=e48]: dev 화면 포함
          - checkbox "dev 화면 포함" [ref=e49]
        - generic [ref=e51]:
          - searchbox "Search" [ref=e52]
          - status [ref=e53]: 0 results
      - heading "화면별 의존성" [level=2] [ref=e54]:
        - link "화면별 의존성" [ref=e55] [cursor=pointer]:
          - /url: "#-1"
      - paragraph [ref=e56]: "화면 하나 골라서 그 화면이 watch하는 provider, 사용하는 component, 등장하는 시나리오를 한눈에:"
      - generic [ref=e57]:
        - heading "↻" [level=3] [ref=e58]:
          - generic [ref=e59]: ↻
        - generic [ref=e60]:
          - generic [ref=e61]: ↻
          - text: ·
          - generic [ref=e62]: ↻
        - paragraph [ref=e63]:
          - generic [ref=e64]: ↻
      - heading "화면 → provider → use case 그래프" [level=2] [ref=e65]:
        - link "화면 → provider → use case 그래프" [ref=e66] [cursor=pointer]:
          - /url: "#provider-use-case"
      - paragraph [ref=e67]: "선택한 화면이 어떤 use case까지 도달하는지:"
    - contentinfo [ref=e68]:
      - navigation [ref=e69]:
        - link "Previous page Roomfit v2 — Spec Map" [ref=e70] [cursor=pointer]:
          - /url: ./
          - text: Previous page
          - generic [ref=e71]: Roomfit v2 — Spec Map
        - link "Next page Use case" [ref=e72] [cursor=pointer]:
          - /url: ./use-cases
          - text: Next page
          - generic [ref=e73]: Use case
      - generic [ref=e74]:
        - text: "Source: /Volumes/WorkSSD/Projects/RoomfitV2 · build via"
        - code [ref=e75]: make extract && npm run build